import clsx from 'clsx';
import Heading from '@theme/Heading';
import styles from './styles.module.css';

const FeatureList = [
  {
    title: 'Blog',
    link: 'blog',
    Svg: require('@site/static/img/blog.svg').default,
    description: (
      <>
        Some notes, interesting things and projects.
      </>
    ),
  },
  {
    title: 'HomeLab Documented',
    link: 'docs/homelab',
    Svg: require('@site/static/img/homelab.svg').default,
    description: (
      <>
        Here I'm trying my best in documenting my home servers and services.
      </>
    ),
  },
];

function Feature({ Svg, title, link, description }) {
  return (

    <div className={clsx('col col--6')}>
      <div className="text--center">
        <a href={link} className={styles.featureLink}>
          <Svg className={styles.featureSvg} role="img" />
        </a>
      </div>
      <a href={link} className={styles.featureLink}>
        <div className="text--center padding-horiz--md">
          <Heading as="h3">{title}</Heading>
          <p>{description}</p>
        </div>
      </a>
    </div>

  );
}

export default function HomepageFeatures() {
  return (
    <section className={styles.features}>
      <div className="container">
        <div className="row">
          {FeatureList.map((props, idx) => (
            <Feature key={idx} {...props} />
          ))}
        </div>
      </div>
    </section>
  );
}
